function get(id){
    return document.getElementById(id).value;
}

function mostrar_nombres(){

var grado1;
var curso1;
var jornada1;

var v1=get('codigo');

var parametros = {"accion":'ingresar',
                          "codigo" :v1
                           };
        $.ajax({
              data:  parametros,
              url:"ingresar_notas.php",
              type:  'post',
              success:function (response){

                 if (response!='NO'){
                    var elem = response.split('_');
                     grado1 = elem[1].split(' ');
                     curso1 = elem[2].split(' ');
                     jornada1 = elem[3].split(' ');

                    document.getElementById('nombre').value=elem[0];
                    document.getElementById('grado').value=elem[1];
                    document.getElementById('curso').value=elem[2];
                    document.getElementById('jornada').value=elem[3];

                    mostrar_asignaturas(v1,grado1[0],curso1[0],jornada1[0]);
                }
                else{
                    alert("NO EXISTE ESTUDIANTE");
                    codigo.focus();
                }


            }
        });
}

//----------------- MOSTRAR LAS ASIGNATURAS DE GRADO Y CURSO ---------
function mostrar_asignaturas(codigo,g,c,j){

  var parametros1 = {"accion":'mostrar_asign',
                          "codigo" :codigo,
                          "grado" :g,
                          "curso" :c,
                          "jornada" :j
                         };
        $.ajax({
              data:  parametros1,
              url:"ingresar_notas.php",
              type:  'post',
              success:function (response){

                    $("#asignaturas").html(response);

            }
        });


}


//------------------------------------------

function limpiar_asign(){
    
  document.getElementById('asignaturas').innerHTML="";
  document.getElementById('codigo').value="";
  document.getElementById('nombre').value="";
  document.getElementById('grado').value="";
  document.getElementById('curso').value="";

  codigo.focus();

}

//------------------------------------------


function grabar_nota(id,p){

var periodo,asignatura,grado,curso,jornada;

if (document.getElementById(id).value!=""){

   var per = id.split('_');
   var param = p.split('_');

    periodo = per[0];
    asignatura = param[0];
    grado = param[1];
    curso = param[2];
    jornada = param[3];


  var parametros = {"accion":'grabar_notas',

                          "codigo" :document.getElementById('codigo').value,
                          "periodo" :periodo ,
                          "asignatura" :asignatura,
                          "grado" :grado,
                          "curso" :curso,
                          "jornada" :jornada,
                          "nota" :document.getElementById(id).value
                         };
        $.ajax({
              data:  parametros,
              url:"ingresar_notas.php",
              type:  'post',
              success:function (response){

                  if (response=="NO EXISTE PLANILLA"){
                      alert(response);
                      document.getElementById(id).value="";
                  }

            }
        });

}

}

//----------------------------

function salir_notas(){
  document.location.href="../menu.php";
}


